# gbp-config

## Name

gbp-config -- Query configuration values

## Synopsis

gbp config [`--version`] [`--help`] [`--verbose`] [`--color=``[auto|on|off]`] [`--color-scheme=``COLOR_SCHEME`] {`command.option` | `command`}

## DESCRIPTION

gbp config prints values from the configuration files. It interpolates the value for `option` of `command`.

## OPTIONS

`--version` | Print version of the program, i.e. version of the git-buildpackage suite
`-v`, `--verbose` | Verbose execution
`-h`, `--help` | Print help and exit
`--color=``[auto|on|off]` | Whether to use colored output.

`--color-scheme=``COLOR_SCHEME`

Colors to use in output (when color is enabled). The format for COLOR_SCHEME is '<debug>:<info>:<warning>:<error>'. Numerical values and color names are accepted, empty fields imply the default color. For example, `--git-color-scheme=``'cyan:34::'` would show debug messages in cyan, info messages in blue and other messages in default (i.e. warning and error messages in red).

## EXIT CODES

When gbp config finishes, it indicates success or failure with its exit code:

`0` | Success.
`1` | Failed to parse command line
`2` | The value did not exist

## EXAMPLES

Print the value `upstream-branch` that gbp buildpackage would use:

        $ gbp config buildpackage.upstream-branch
        buildpackage.upstream-branch=upstream

Print the values of all of gbp buildpackage options

        $ gbp config buildpackage
        buildpackage.upstream-branch=upstream
        buildpackage.debian-branch=master
        ...

## CONFIGURATION FILES

Several `gbp.conf` files are parsed to set defaults for the above command-line arguments. See the gbp.conf(5)> manpage for details.

## SEE ALSO

gbp.conf(5)>

## AUTHOR

Guido Guenther `<agx@sigxcpu.org>`